Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create dispatch pile

POST/dispatch/pile
Request body
application/json
sessionIdstring
agentstring
organizationIdstringrequired
issueobjectrequired
Show properties
idstringrequired
identifierstring | null
titlestringrequired
descriptionstring | null
repostring | null
branchstring | null
statusstring
prioritynumber | string
Show properties
Any of:
number
number
string
string
labelIdsstring[] | null
profileobject | null
Show properties
slugstringrequired
namestringrequired
jobSpecstring | null
toolScopestring | null
providerAgentIdstring | null
modelstring | null
promptstring | null
conversationKeystring | null
Responses
200

Dispatch admitted — conversationId is the session id

okbooleanrequired
conversationIdstringrequired
401

Invalid dispatch token

Try it
Server
Bodyapplication/json
Request
curl -X POST '/dispatch/pile' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "sessionId": "string",
  "agent": "string",
  "organizationId": "string",
  "issue": {
    "id": "string",
    "identifier": "string",
    "title": "string",
    "description": "string",
    "repo": "string",
    "branch": "string",
    "status": "string",
    "priority": 0,
    "labelIds": [
      "string"
    ],
    "property1": null,
    "property2": null
  },
  "profile": {
    "slug": "string",
    "name": "string",
    "jobSpec": "string",
    "toolScope": "string",
    "providerAgentId": "string",
    "model": "string",
    "prompt": "string",
    "property1": null,
    "property2": null
  },
  "conversationKey": "string"
}'
Response
{
  "ok": true,
  "conversationId": "string"
}

Was this page helpful?